## net.i2p.crypto
Class TransientSessionKeyManager.OutboundSession

    java.lang.Object
      net.i2p.crypto.TransientSessionKeyManager.OutboundSession

Enclosing class:
  TransientSessionKeyManager

     class TransientSessionKeyManager.OutboundSession

extends java.lang.Object

Constructor Summary
`TransientSessionKeyManager.OutboundSession(PublicKey target)`
`TransientSessionKeyManager.OutboundSession(PublicKey target, SessionKey curKey, long established, long lastUsed, java.util.List tagSets)`

Method Summary
`void` `addTags(TransientSessionKeyManager.TagSet set)`
`int` `availableTags()`
`SessionTag` `consumeNext()`
`int` `expireTags()` Expire old tags, returning the number of tag sets removed
`SessionKey` `getCurrentKey()`
`long` `getEstablishedDate()`
`long` `getLastExpirationDate()` Get the furthest away tag set expiration date - after which all of the tags will have expired
`long` `getLastUsedDate()`
`(package private) java.util.List` `getTagSets()` list of TagSet objects
`PublicKey` `getTarget()`
`void` `setCurrentKey(SessionKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransientSessionKeyManager.OutboundSession

    public TransientSessionKeyManager.OutboundSession(PublicKey target)

### TransientSessionKeyManager.OutboundSession

    TransientSessionKeyManager.OutboundSession(PublicKey target,
                                               SessionKey curKey,
                                               long established,
                                               long lastUsed,
                                               java.util.List tagSets)

Method Detail

### getTagSets

    java.util.List getTagSets()

  list of TagSet objects

### getTarget

    public PublicKey getTarget()

### getCurrentKey

    public SessionKey getCurrentKey()

### setCurrentKey

    public void setCurrentKey(SessionKey key)

### getEstablishedDate

    public long getEstablishedDate()

### getLastUsedDate

    public long getLastUsedDate()

### expireTags

    public int expireTags()

  Expire old tags, returning the number of tag sets removed

### consumeNext

    public SessionTag consumeNext()

### availableTags

    public int availableTags()

### getLastExpirationDate

    public long getLastExpirationDate()

  Get the furthest away tag set expiration date - after which all of the tags will have expired

### addTags

    public void addTags(TransientSessionKeyManager.TagSet set)